[arch-commits] Commit in rfkill/repos (10 files)

Gaetan Bisson bisson at archlinux.org
Sun Apr 8 22:34:37 UTC 2012


    Date: Sunday, April 8, 2012 @ 18:34:37
  Author: bisson
Revision: 155889

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  rfkill/repos/testing-i686/
  rfkill/repos/testing-i686/60-rfkill.rules
    (from rev 155888, rfkill/trunk/60-rfkill.rules)
  rfkill/repos/testing-i686/PKGBUILD
    (from rev 155888, rfkill/trunk/PKGBUILD)
  rfkill/repos/testing-i686/rfkill.conf.d
    (from rev 155888, rfkill/trunk/rfkill.conf.d)
  rfkill/repos/testing-i686/rfkill.rc.d
    (from rev 155888, rfkill/trunk/rfkill.rc.d)
  rfkill/repos/testing-x86_64/
  rfkill/repos/testing-x86_64/60-rfkill.rules
    (from rev 155888, rfkill/trunk/60-rfkill.rules)
  rfkill/repos/testing-x86_64/PKGBUILD
    (from rev 155888, rfkill/trunk/PKGBUILD)
  rfkill/repos/testing-x86_64/rfkill.conf.d
    (from rev 155888, rfkill/trunk/rfkill.conf.d)
  rfkill/repos/testing-x86_64/rfkill.rc.d
    (from rev 155888, rfkill/trunk/rfkill.rc.d)

--------------------------------+
 testing-i686/60-rfkill.rules   |    1 +
 testing-i686/PKGBUILD          |   37 +++++++++++++++++++++++++++++++++++++
 testing-i686/rfkill.conf.d     |   20 ++++++++++++++++++++
 testing-i686/rfkill.rc.d       |   38 ++++++++++++++++++++++++++++++++++++++
 testing-x86_64/60-rfkill.rules |    1 +
 testing-x86_64/PKGBUILD        |   37 +++++++++++++++++++++++++++++++++++++
 testing-x86_64/rfkill.conf.d   |   20 ++++++++++++++++++++
 testing-x86_64/rfkill.rc.d     |   38 ++++++++++++++++++++++++++++++++++++++
 8 files changed, 192 insertions(+)

Copied: rfkill/repos/testing-i686/60-rfkill.rules (from rev 155888, rfkill/trunk/60-rfkill.rules)
===================================================================
--- testing-i686/60-rfkill.rules	                        (rev 0)
+++ testing-i686/60-rfkill.rules	2012-04-08 22:34:37 UTC (rev 155889)
@@ -0,0 +1 @@
+KERNEL=="rfkill", GROUP="rfkill", MODE="0664"

Copied: rfkill/repos/testing-i686/PKGBUILD (from rev 155888, rfkill/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2012-04-08 22:34:37 UTC (rev 155889)
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer: Thomas Bächler <thomas at archlinux.org>
+# Contributor: Giovanni Scafora <giovanni at archlinux.org>
+
+pkgname=rfkill
+pkgver=0.4
+pkgrel=4
+pkgdesc="A tool for enabling and disabling wireless devices"
+arch=('i686' 'x86_64')
+url="http://linuxwireless.org/en/users/Documentation/rfkill"
+license=('custom')
+source=(http://wireless.kernel.org/download/${pkgname}/${pkgname}-${pkgver}.tar.bz2
+        60-rfkill.rules
+        rfkill.conf.d
+        rfkill.rc.d)
+backup=(etc/conf.d/rfkill)
+md5sums=('727892c0fb35c80ee3849fbe89b45350'
+         '63f9bf9264911242e430867a41e8918c'
+         '398e7cadf023e05e3e0c323aa33575b9'
+         '793f0510e26547eb2632efce7d16e50e')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+  # License
+  install -Dm644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+  # Udev rule
+  install -Dm644 "${srcdir}/60-rfkill.rules" "${pkgdir}/usr/lib/udev/rules.d/60-rfkill.rules"
+  # Init script
+  install -Dm644 "${srcdir}/rfkill.conf.d" "${pkgdir}/etc/conf.d/rfkill"
+  install -Dm755 "${srcdir}/rfkill.rc.d" "${pkgdir}/etc/rc.d/rfkill"
+}

Copied: rfkill/repos/testing-i686/rfkill.conf.d (from rev 155888, rfkill/trunk/rfkill.conf.d)
===================================================================
--- testing-i686/rfkill.conf.d	                        (rev 0)
+++ testing-i686/rfkill.conf.d	2012-04-08 22:34:37 UTC (rev 155889)
@@ -0,0 +1,20 @@
+#
+# /etc/conf.d/rfkill
+# Configuration for the rfkill startup script
+#
+
+# List of devices to block on startup (space-separated)
+RFKILL_BLOCK=""
+
+# List of devices to unblock on startup (space-separated)
+RFKILL_UNBLOCK="all"
+
+# Supported device names are: all, wifi, bluetooth, umb, wimax, wwan, gps and specific device names like phy0, hci0, ...
+# See "rfkill list" for available devices
+# Examples:
+#
+# Block all bluetooth devices:
+# RFKILL_BLOCK="bluetooth"
+#
+# Unblock the phy0 wifi device and all wwan devices:
+# RFKILL_UNBLOCK="phy0 wwan"

Copied: rfkill/repos/testing-i686/rfkill.rc.d (from rev 155888, rfkill/trunk/rfkill.rc.d)
===================================================================
--- testing-i686/rfkill.rc.d	                        (rev 0)
+++ testing-i686/rfkill.rc.d	2012-04-08 22:34:37 UTC (rev 155889)
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/rfkill
+
+case "$1" in
+  start)
+    for device in ${RFKILL_BLOCK}; do
+      stat_busy "Blocking rfkill device: ${device}"
+      /usr/sbin/rfkill block ${device}
+      if [ $? -eq 0 ]; then
+        stat_done
+      else
+        stat_fail
+      fi
+    done
+    for device in ${RFKILL_UNBLOCK}; do
+      stat_busy "Unblocking rfkill device: ${device}"
+      /usr/sbin/rfkill unblock ${device}
+      if [ $? -eq 0 ]; then
+        stat_done
+      else
+        stat_fail
+      fi
+    done
+    ;;
+  stop)
+    ;;
+  restart)
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start}"
+    exit 1
+    ;;
+esac
+exit 0

Copied: rfkill/repos/testing-x86_64/60-rfkill.rules (from rev 155888, rfkill/trunk/60-rfkill.rules)
===================================================================
--- testing-x86_64/60-rfkill.rules	                        (rev 0)
+++ testing-x86_64/60-rfkill.rules	2012-04-08 22:34:37 UTC (rev 155889)
@@ -0,0 +1 @@
+KERNEL=="rfkill", GROUP="rfkill", MODE="0664"

Copied: rfkill/repos/testing-x86_64/PKGBUILD (from rev 155888, rfkill/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2012-04-08 22:34:37 UTC (rev 155889)
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer: Thomas Bächler <thomas at archlinux.org>
+# Contributor: Giovanni Scafora <giovanni at archlinux.org>
+
+pkgname=rfkill
+pkgver=0.4
+pkgrel=4
+pkgdesc="A tool for enabling and disabling wireless devices"
+arch=('i686' 'x86_64')
+url="http://linuxwireless.org/en/users/Documentation/rfkill"
+license=('custom')
+source=(http://wireless.kernel.org/download/${pkgname}/${pkgname}-${pkgver}.tar.bz2
+        60-rfkill.rules
+        rfkill.conf.d
+        rfkill.rc.d)
+backup=(etc/conf.d/rfkill)
+md5sums=('727892c0fb35c80ee3849fbe89b45350'
+         '63f9bf9264911242e430867a41e8918c'
+         '398e7cadf023e05e3e0c323aa33575b9'
+         '793f0510e26547eb2632efce7d16e50e')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+  # License
+  install -Dm644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+  # Udev rule
+  install -Dm644 "${srcdir}/60-rfkill.rules" "${pkgdir}/usr/lib/udev/rules.d/60-rfkill.rules"
+  # Init script
+  install -Dm644 "${srcdir}/rfkill.conf.d" "${pkgdir}/etc/conf.d/rfkill"
+  install -Dm755 "${srcdir}/rfkill.rc.d" "${pkgdir}/etc/rc.d/rfkill"
+}

Copied: rfkill/repos/testing-x86_64/rfkill.conf.d (from rev 155888, rfkill/trunk/rfkill.conf.d)
===================================================================
--- testing-x86_64/rfkill.conf.d	                        (rev 0)
+++ testing-x86_64/rfkill.conf.d	2012-04-08 22:34:37 UTC (rev 155889)
@@ -0,0 +1,20 @@
+#
+# /etc/conf.d/rfkill
+# Configuration for the rfkill startup script
+#
+
+# List of devices to block on startup (space-separated)
+RFKILL_BLOCK=""
+
+# List of devices to unblock on startup (space-separated)
+RFKILL_UNBLOCK="all"
+
+# Supported device names are: all, wifi, bluetooth, umb, wimax, wwan, gps and specific device names like phy0, hci0, ...
+# See "rfkill list" for available devices
+# Examples:
+#
+# Block all bluetooth devices:
+# RFKILL_BLOCK="bluetooth"
+#
+# Unblock the phy0 wifi device and all wwan devices:
+# RFKILL_UNBLOCK="phy0 wwan"

Copied: rfkill/repos/testing-x86_64/rfkill.rc.d (from rev 155888, rfkill/trunk/rfkill.rc.d)
===================================================================
--- testing-x86_64/rfkill.rc.d	                        (rev 0)
+++ testing-x86_64/rfkill.rc.d	2012-04-08 22:34:37 UTC (rev 155889)
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/rfkill
+
+case "$1" in
+  start)
+    for device in ${RFKILL_BLOCK}; do
+      stat_busy "Blocking rfkill device: ${device}"
+      /usr/sbin/rfkill block ${device}
+      if [ $? -eq 0 ]; then
+        stat_done
+      else
+        stat_fail
+      fi
+    done
+    for device in ${RFKILL_UNBLOCK}; do
+      stat_busy "Unblocking rfkill device: ${device}"
+      /usr/sbin/rfkill unblock ${device}
+      if [ $? -eq 0 ]; then
+        stat_done
+      else
+        stat_fail
+      fi
+    done
+    ;;
+  stop)
+    ;;
+  restart)
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start}"
+    exit 1
+    ;;
+esac
+exit 0




More information about the arch-commits mailing list